# Wow Such Doge
[Dog API](https://dog.ceo/dog-api/) client in Rust.

## Usage
### Command Line
* `cargo run`: output list of breeds
* `cargo run <breed>` output all dogs of breed
* `cargo run random`: output random dog
* `cargo run random <breed>` output random dog of breed

### Library

    use wow_such_doge::Dogs;
    let dogs = Dogs::new();
    let breeds = dogs.breeds();
    let random_dog = dogs.random_image();
    let random_dog_of_breed = dogs.random_image_by_breed("<breed>");
